---
layout: mockup
title: "File Chooser Dialog"
theme: Adwaita/Adwaita.css
permalink: file-chooser/open
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/file-chooser.css">

{%- include widgets/_panel.html -%}
<!-- Window -->
<div class="window medium">
	<div class="titlebar" title="Open">
		<div class="button-group float-left">
			<a class="button text-button">Cancel</a>
		</div>
		<div class="button-group float-right">
			<a class="button image-button">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a><a class="button text-button">Open</a>
		</div>
	</div>
	<!-- content -->
	<div id="fileChooserContent" class="content with-sidebar">
		<!-- Sidebar -->
		<ul id="fileChooserSidebar" class="sidebar small">
		{%- for item in site.data.files-sidebar -%}
			<li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}
		{%- endfor -%}
		</ul>
		<div class="view">
			<!-- toolbar -->
			<div class="toolbar top text-left">
				<div class="linked">
					<a class="button image-button narrow left">{%- include symbolic/actions/pan-start-symbolic.svg -%}</a><a class="button image-text-button middle"><div class="left">{%- include symbolic/places/user-home-symbolic.svg -%}</div> Home</a><a class="button text-button middle">Folder</a><a class="button text-button pressed hide-on-mobile middle">Subfolder</a><a class="button image-button narrow right">{%- include symbolic/actions/pan-end-symbolic.svg -%}</a>
				</div>
			</div>
			<!-- Tree View -->
			<table class="treeview" style="border-top-width: 0;">
				<thead>
					<th>Name</th>
					<th>Size</th>
					<th>Modified</th>
				</thead>
				<tbody>
					<tr>
						<th><img class="icon s32" src="{{ site.baseurl }}/img/icons/32x32/places/folder.png">Folder</th>
						<th>3 items</th>
						<th>30 Jul</th>
					</tr>
					<tr>
						<th><img class="icon s32" src="{{ site.baseurl }}/img/icons/32x32/places/folder.png">Folder</th>
						<th>4 items</th>
						<th>12 Dec 2017</th>
					</tr>
					<tr>
						<th><img class="icon s32" src="{{ site.baseurl }}/img/icons/32x32/places/folder.png">Folder</th>
						<th>11 items</th>
						<th>8:44</th>
					</tr>
					<tr>
						<th><img class="icon s32" src="{{ site.baseurl }}/img/icons/32x32/places/folder.png">Folder</th>
						<th>8 items</th>
						<th>Fri</th>
					</tr>
					<tr>
						<th><img class="icon s32" src="{{ site.baseurl }}/img/icons/32x32/mimetypes/text-x-generic.png">file.txt</th>
						<th>612 bytes</th>
						<th>12:34</th>
					</tr>
					<tr>
						<th><img class="icon s32" src="{{ site.baseurl }}/img/icons/32x32/mimetypes/text-x-generic.png">file.txt</th>
						<th>34 KB</th>
						<th>11 Mar 2018</th>
					</tr>
					<tr>
						<th><img class="icon s32" src="{{ site.baseurl }}/img/icons/32x32/mimetypes/text-x-generic.png">file.txt</th>
						<th>1.3 Mb</th>
						<th>12:34</th>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
	<!-- action bar -->
	<div class="titlebar grouped action-bar">
		<div class="button-group float-left">
			<a class="button hide-on-mobile image-button" id="fileChooserSidebarHide" onclick="$('#fileChooserSidebar').hide();$('#fileChooserSidebarHide').hide();$('#fileChooserSidebarShow').removeClass('hidden');$('#fileChooserContent').removeClass('with-sidebar');">{%- include symbolic/actions/sidebar-hide-symbolic.svg -%}</a>
			<a class="button hide-on-mobile image-button hidden" id="fileChooserSidebarShow" onclick="$('#fileChooserSidebar').show();$('#fileChooserSidebarHide').show();$('#fileChooserSidebarShow').addClass('hidden');$('#fileChooserContent').addClass('with-sidebar');">{%- include symbolic/actions/sidebar-show-symbolic.svg -%}</a>
			
		</div>
		<div class="button-group float-right">
			<div class="linked"><a class="button image-button left pressed">{%- include symbolic/actions/view-list-symbolic.svg -%}</a><a class="button image-button right">{%- include symbolic/actions/view-grid-symbolic.svg -%}</a></div>
		</div>
	</div>
</div>
<script type="text/javascript">
$('.gtkdialog').show();
</script>